libgnome-devel-2.32.1-alt4.i586.rpm


Advertisement

Description

libgnome-devel - Libraries and headers for libgnome

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libgnome-devel-2.32.1-alt4.i586.rpm
Package name libgnome-devel
Package version 2.32.1
Package release alt4
Package architecture i586
Package type rpm
Category Development/GNOME and GTK+
Homepage -
License -
Maintainer -
Download size 67.24 KB
Installed size 67.24 KB
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to
use libgnome.
You should install the libgnome-devel package if you would like to
compile GNOME applications. You do not need to install libgnome-devel
if you just want to use the GNOME desktop environment.

Alternatives

Package Version Architecture Repository
libgnome-devel-2.32.1-alt4.x86_64.rpm 2.32.1 x86_64 Classic
libgnome-devel - - -

Requires

Name Value
/usr/lib/pkgconfig -
glib2-devel -
libbonobo-devel -
libgnome = 2.32.1-alt4
libpopt-devel -
pkgconfig(glib-2.0) -
pkgconfig(libbonobo-2.0) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libgnome-devel = 2.32.1-alt4
pkgconfig(libgnome-2.0) = 2.32.2

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libgnome-devel-2.32.1-alt4.i586.rpm
Source Package libgnome-2.32.1-alt4.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libgnome-devel rpm package:
    # sudo apt-get install libgnome-devel

Files

Path
/usr/include/libgnome-2.0/
/usr/include/libgnome-2.0/libgnome/gnome-config.h
/usr/include/libgnome-2.0/libgnome/gnome-exec.h
/usr/include/libgnome-2.0/libgnome/gnome-gconf.h
/usr/include/libgnome-2.0/libgnome/gnome-help.h
/usr/include/libgnome-2.0/libgnome/gnome-i18n.h
/usr/include/libgnome-2.0/libgnome/gnome-init.h
/usr/include/libgnome-2.0/libgnome/gnome-macros.h
/usr/include/libgnome-2.0/libgnome/gnome-program.h
/usr/include/libgnome-2.0/libgnome/gnome-score.h
/usr/include/libgnome-2.0/libgnome/gnome-sound.h
/usr/include/libgnome-2.0/libgnome/gnome-triggers.h
/usr/include/libgnome-2.0/libgnome/gnome-url.h
/usr/include/libgnome-2.0/libgnome/gnome-util.h
/usr/include/libgnome-2.0/libgnome/libgnome.h
/usr/include/libgnome-2.0/libgnome/libgnometypebuiltins.h
/usr/lib/libgnome-2.so
/usr/lib/pkgconfig/libgnome-2.0.pc
/usr/share/doc/libgnome-devel-2.32.1/NEWS

Changelog

2017-11-26 - Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt4
- updated to LIBGNOME_2_32_1-11-g8487c2b
2015-03-31 - Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt3
- removed harmful gnome-open especially for shaba@ & libreoffice
2013-04-07 - Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt2
- fixed build with glib-2.36
2012-10-10 - Igor Vlasenko <viy@altlinux.ru> 2.32.1-alt1.1
- use /usr/share/design/current (closes: #27828)
2011-01-31 - Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt1
- 2.32.1
2010-11-05 - Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt2
- rebuild for update dependencies
2010-10-04 - Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0
2010-03-30 - Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0
- useless esd disbled
- updated buildreqs
- spec cleanup
2009-09-23 - Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt2
- enabled icons in menu and on buttons by default (Patch2)
2009-09-23 - Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

See Also

Package Description
libgnome-games-support-1.4.4-alt1.i586.rpm Shared library for GNOME games
libgnome-games-support-devel-1.4.4-alt1.i586.rpm Development files for libgnome-games-support
libgnome-keyring-3.12.0-alt3.i586.rpm Compatibility library for accessing secrets
libgnome-keyring-devel-3.12.0-alt3.i586.rpm Development files for libgnome-keyring
libgnome-keyring-gir-3.12.0-alt3.i586.rpm GObject introspection data for libgnome-keyring
libgnome-menus-3.32.0-alt1.i586.rpm Desktop Menu Library for GNOME
libgnome-menus-devel-3.32.0-alt1.i586.rpm Development files for GNOME Desktop Menu Library
libgnome-menus-gir-3.32.0-alt1.i586.rpm GObject introspection data for the GNOME Desktop Menu Library
libgnome-online-accounts-3.34.0-alt1.i586.rpm gnome-online-accounts shared libraries
libgnome-online-accounts-devel-3.34.0-alt1.i586.rpm Development files for gnome-online-accounts libraries
libgnome-online-accounts-gir-3.34.0-alt1.i586.rpm GObject introspection data for the gnome-online-accounts libraries
libgnome-panel-3.34.1-alt1.i586.rpm GNOME panel shared libraries
libgnome-panel-devel-3.34.1-alt1.i586.rpm GNOME panel libraries, includes, and more
libgnome-sharp-2.24.2-alt6.i586.rpm GNOME bindings for Mono
libgnome-sharp-devel-2.24.2-alt6.i586.rpm .Net language bindings for GNOME: development files
Advertisement
Advertisement